IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2c19:dd:ec00:6700::/56- First address
2c19:dd:ec00:6700::- Last address
2c19:dd:ec00:67ff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2c19:00dd:ec00:6700:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
7.6.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ec00:6700::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ec00:6700::/64 | 2c19:dd:ec00:6700:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:ec00:6701::/64 | 2c19:dd:ec00:6701:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:ec00:6702::/64 | 2c19:dd:ec00:6702:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:ec00:6703::/64 | 2c19:dd:ec00:6703:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:ec00:6704::/64 | 2c19:dd:ec00:6704:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:ec00:6705::/64 | 2c19:dd:ec00:6705:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:ec00:6706::/64 | 2c19:dd:ec00:6706:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:ec00:6707::/64 | 2c19:dd:ec00:6707:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:ec00:6708::/64 | 2c19:dd:ec00:6708:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:ec00:6709::/64 | 2c19:dd:ec00:6709:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:ec00:670a::/64 | 2c19:dd:ec00:670a:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:ec00:670b::/64 | 2c19:dd:ec00:670b:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:ec00:670c::/64 | 2c19:dd:ec00:670c:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:ec00:670d::/64 | 2c19:dd:ec00:670d:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:ec00:670e::/64 | 2c19:dd:ec00:670e:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:ec00:670f::/64 | 2c19:dd:ec00:670f:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:ec00:6710::/64 | 2c19:dd:ec00:6710:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:ec00:6711::/64 | 2c19:dd:ec00:6711:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:ec00:6712::/64 | 2c19:dd:ec00:6712:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:ec00:6713::/64 | 2c19:dd:ec00:6713:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:ec00:6714::/64 | 2c19:dd:ec00:6714:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:ec00:6715::/64 | 2c19:dd:ec00:6715:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:ec00:6716::/64 | 2c19:dd:ec00:6716:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:ec00:6717::/64 | 2c19:dd:ec00:6717:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:ec00:6718::/64 | 2c19:dd:ec00:6718:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:ec00:6719::/64 | 2c19:dd:ec00:6719:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:ec00:671a::/64 | 2c19:dd:ec00:671a:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:ec00:671b::/64 | 2c19:dd:ec00:671b:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:ec00:671c::/64 | 2c19:dd:ec00:671c:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:ec00:671d::/64 | 2c19:dd:ec00:671d:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:ec00:671e::/64 | 2c19:dd:ec00:671e:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:ec00:671f::/64 | 2c19:dd:ec00:671f:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:ec00:6720::/64 | 2c19:dd:ec00:6720:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:ec00:6721::/64 | 2c19:dd:ec00:6721:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:ec00:6722::/64 | 2c19:dd:ec00:6722:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:ec00:6723::/64 | 2c19:dd:ec00:6723:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:ec00:6724::/64 | 2c19:dd:ec00:6724:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:ec00:6725::/64 | 2c19:dd:ec00:6725:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:ec00:6726::/64 | 2c19:dd:ec00:6726:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:ec00:6727::/64 | 2c19:dd:ec00:6727:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:ec00:6728::/64 | 2c19:dd:ec00:6728:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:ec00:6729::/64 | 2c19:dd:ec00:6729:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:ec00:672a::/64 | 2c19:dd:ec00:672a:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:ec00:672b::/64 | 2c19:dd:ec00:672b:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:ec00:672c::/64 | 2c19:dd:ec00:672c:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:ec00:672d::/64 | 2c19:dd:ec00:672d:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:ec00:672e::/64 | 2c19:dd:ec00:672e:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:ec00:672f::/64 | 2c19:dd:ec00:672f:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:ec00:6730::/64 | 2c19:dd:ec00:6730:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:ec00:6731::/64 | 2c19:dd:ec00:6731:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:ec00:6732::/64 | 2c19:dd:ec00:6732:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:ec00:6733::/64 | 2c19:dd:ec00:6733:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:ec00:6734::/64 | 2c19:dd:ec00:6734:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:ec00:6735::/64 | 2c19:dd:ec00:6735:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:ec00:6736::/64 | 2c19:dd:ec00:6736:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:ec00:6737::/64 | 2c19:dd:ec00:6737:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:ec00:6738::/64 | 2c19:dd:ec00:6738:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:ec00:6739::/64 | 2c19:dd:ec00:6739:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:ec00:673a::/64 | 2c19:dd:ec00:673a:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:ec00:673b::/64 | 2c19:dd:ec00:673b:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:ec00:673c::/64 | 2c19:dd:ec00:673c:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:ec00:673d::/64 | 2c19:dd:ec00:673d:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:ec00:673e::/64 | 2c19:dd:ec00:673e:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:ec00:673f::/64 | 2c19:dd:ec00:673f:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:ec00:6740::/64 | 2c19:dd:ec00:6740:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:ec00:6741::/64 | 2c19:dd:ec00:6741:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:ec00:6742::/64 | 2c19:dd:ec00:6742:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:ec00:6743::/64 | 2c19:dd:ec00:6743:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:ec00:6744::/64 | 2c19:dd:ec00:6744:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:ec00:6745::/64 | 2c19:dd:ec00:6745:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:ec00:6746::/64 | 2c19:dd:ec00:6746:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:ec00:6747::/64 | 2c19:dd:ec00:6747:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:ec00:6748::/64 | 2c19:dd:ec00:6748:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:ec00:6749::/64 | 2c19:dd:ec00:6749:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:ec00:674a::/64 | 2c19:dd:ec00:674a:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:ec00:674b::/64 | 2c19:dd:ec00:674b:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:ec00:674c::/64 | 2c19:dd:ec00:674c:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:ec00:674d::/64 | 2c19:dd:ec00:674d:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:ec00:674e::/64 | 2c19:dd:ec00:674e:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:ec00:674f::/64 | 2c19:dd:ec00:674f:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:ec00:6750::/64 | 2c19:dd:ec00:6750:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:ec00:6751::/64 | 2c19:dd:ec00:6751:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:ec00:6752::/64 | 2c19:dd:ec00:6752:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:ec00:6753::/64 | 2c19:dd:ec00:6753:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:ec00:6754::/64 | 2c19:dd:ec00:6754:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:ec00:6755::/64 | 2c19:dd:ec00:6755:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:ec00:6756::/64 | 2c19:dd:ec00:6756:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:ec00:6757::/64 | 2c19:dd:ec00:6757:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:ec00:6758::/64 | 2c19:dd:ec00:6758:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:ec00:6759::/64 | 2c19:dd:ec00:6759:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:ec00:675a::/64 | 2c19:dd:ec00:675a:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:ec00:675b::/64 | 2c19:dd:ec00:675b:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:ec00:675c::/64 | 2c19:dd:ec00:675c:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:ec00:675d::/64 | 2c19:dd:ec00:675d:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:ec00:675e::/64 | 2c19:dd:ec00:675e:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:ec00:675f::/64 | 2c19:dd:ec00:675f:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:ec00:6760::/64 | 2c19:dd:ec00:6760:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:ec00:6761::/64 | 2c19:dd:ec00:6761:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:ec00:6762::/64 | 2c19:dd:ec00:6762:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:ec00:6763::/64 | 2c19:dd:ec00:6763:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:ec00:6764::/64 | 2c19:dd:ec00:6764:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:ec00:6765::/64 | 2c19:dd:ec00:6765:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:ec00:6766::/64 | 2c19:dd:ec00:6766:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:ec00:6767::/64 | 2c19:dd:ec00:6767:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:ec00:6768::/64 | 2c19:dd:ec00:6768:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:ec00:6769::/64 | 2c19:dd:ec00:6769:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:ec00:676a::/64 | 2c19:dd:ec00:676a:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:ec00:676b::/64 | 2c19:dd:ec00:676b:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:ec00:676c::/64 | 2c19:dd:ec00:676c:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:ec00:676d::/64 | 2c19:dd:ec00:676d:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:ec00:676e::/64 | 2c19:dd:ec00:676e:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:ec00:676f::/64 | 2c19:dd:ec00:676f:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:ec00:6770::/64 | 2c19:dd:ec00:6770:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:ec00:6771::/64 | 2c19:dd:ec00:6771:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:ec00:6772::/64 | 2c19:dd:ec00:6772:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:ec00:6773::/64 | 2c19:dd:ec00:6773:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:ec00:6774::/64 | 2c19:dd:ec00:6774:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:ec00:6775::/64 | 2c19:dd:ec00:6775:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:ec00:6776::/64 | 2c19:dd:ec00:6776:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:ec00:6777::/64 | 2c19:dd:ec00:6777:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:ec00:6778::/64 | 2c19:dd:ec00:6778:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:ec00:6779::/64 | 2c19:dd:ec00:6779:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:ec00:677a::/64 | 2c19:dd:ec00:677a:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:ec00:677b::/64 | 2c19:dd:ec00:677b:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:ec00:677c::/64 | 2c19:dd:ec00:677c:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:ec00:677d::/64 | 2c19:dd:ec00:677d:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:ec00:677e::/64 | 2c19:dd:ec00:677e:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:ec00:677f::/64 | 2c19:dd:ec00:677f:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:ec00:6780::/64 | 2c19:dd:ec00:6780:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:ec00:6781::/64 | 2c19:dd:ec00:6781:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:ec00:6782::/64 | 2c19:dd:ec00:6782:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:ec00:6783::/64 | 2c19:dd:ec00:6783:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:ec00:6784::/64 | 2c19:dd:ec00:6784:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:ec00:6785::/64 | 2c19:dd:ec00:6785:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:ec00:6786::/64 | 2c19:dd:ec00:6786:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:ec00:6787::/64 | 2c19:dd:ec00:6787:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:ec00:6788::/64 | 2c19:dd:ec00:6788:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:ec00:6789::/64 | 2c19:dd:ec00:6789:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:ec00:678a::/64 | 2c19:dd:ec00:678a:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:ec00:678b::/64 | 2c19:dd:ec00:678b:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:ec00:678c::/64 | 2c19:dd:ec00:678c:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:ec00:678d::/64 | 2c19:dd:ec00:678d:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:ec00:678e::/64 | 2c19:dd:ec00:678e:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:ec00:678f::/64 | 2c19:dd:ec00:678f:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:ec00:6790::/64 | 2c19:dd:ec00:6790:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:ec00:6791::/64 | 2c19:dd:ec00:6791:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:ec00:6792::/64 | 2c19:dd:ec00:6792:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:ec00:6793::/64 | 2c19:dd:ec00:6793:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:ec00:6794::/64 | 2c19:dd:ec00:6794:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:ec00:6795::/64 | 2c19:dd:ec00:6795:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:ec00:6796::/64 | 2c19:dd:ec00:6796:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:ec00:6797::/64 | 2c19:dd:ec00:6797:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:ec00:6798::/64 | 2c19:dd:ec00:6798:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:ec00:6799::/64 | 2c19:dd:ec00:6799:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:ec00:679a::/64 | 2c19:dd:ec00:679a:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:ec00:679b::/64 | 2c19:dd:ec00:679b:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:ec00:679c::/64 | 2c19:dd:ec00:679c:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:ec00:679d::/64 | 2c19:dd:ec00:679d:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:ec00:679e::/64 | 2c19:dd:ec00:679e:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:ec00:679f::/64 | 2c19:dd:ec00:679f:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:ec00:67a0::/64 | 2c19:dd:ec00:67a0:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:ec00:67a1::/64 | 2c19:dd:ec00:67a1:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:ec00:67a2::/64 | 2c19:dd:ec00:67a2:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:ec00:67a3::/64 | 2c19:dd:ec00:67a3:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:ec00:67a4::/64 | 2c19:dd:ec00:67a4:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:ec00:67a5::/64 | 2c19:dd:ec00:67a5:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:ec00:67a6::/64 | 2c19:dd:ec00:67a6:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:ec00:67a7::/64 | 2c19:dd:ec00:67a7:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:ec00:67a8::/64 | 2c19:dd:ec00:67a8:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:ec00:67a9::/64 | 2c19:dd:ec00:67a9:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:ec00:67aa::/64 | 2c19:dd:ec00:67aa:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:ec00:67ab::/64 | 2c19:dd:ec00:67ab:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:ec00:67ac::/64 | 2c19:dd:ec00:67ac:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:ec00:67ad::/64 | 2c19:dd:ec00:67ad:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:ec00:67ae::/64 | 2c19:dd:ec00:67ae:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:ec00:67af::/64 | 2c19:dd:ec00:67af:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:ec00:67b0::/64 | 2c19:dd:ec00:67b0:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:ec00:67b1::/64 | 2c19:dd:ec00:67b1:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:ec00:67b2::/64 | 2c19:dd:ec00:67b2:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:ec00:67b3::/64 | 2c19:dd:ec00:67b3:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:ec00:67b4::/64 | 2c19:dd:ec00:67b4:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:ec00:67b5::/64 | 2c19:dd:ec00:67b5:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:ec00:67b6::/64 | 2c19:dd:ec00:67b6:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:ec00:67b7::/64 | 2c19:dd:ec00:67b7:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:ec00:67b8::/64 | 2c19:dd:ec00:67b8:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:ec00:67b9::/64 | 2c19:dd:ec00:67b9:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:ec00:67ba::/64 | 2c19:dd:ec00:67ba:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:ec00:67bb::/64 | 2c19:dd:ec00:67bb:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:ec00:67bc::/64 | 2c19:dd:ec00:67bc:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:ec00:67bd::/64 | 2c19:dd:ec00:67bd:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:ec00:67be::/64 | 2c19:dd:ec00:67be:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:ec00:67bf::/64 | 2c19:dd:ec00:67bf:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:ec00:67c0::/64 | 2c19:dd:ec00:67c0:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:ec00:67c1::/64 | 2c19:dd:ec00:67c1:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:ec00:67c2::/64 | 2c19:dd:ec00:67c2:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:ec00:67c3::/64 | 2c19:dd:ec00:67c3:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:ec00:67c4::/64 | 2c19:dd:ec00:67c4:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:ec00:67c5::/64 | 2c19:dd:ec00:67c5:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:ec00:67c6::/64 | 2c19:dd:ec00:67c6:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:ec00:67c7::/64 | 2c19:dd:ec00:67c7:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:ec00:67c8::/64 | 2c19:dd:ec00:67c8:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:ec00:67c9::/64 | 2c19:dd:ec00:67c9:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:ec00:67ca::/64 | 2c19:dd:ec00:67ca:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:ec00:67cb::/64 | 2c19:dd:ec00:67cb:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:ec00:67cc::/64 | 2c19:dd:ec00:67cc:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:ec00:67cd::/64 | 2c19:dd:ec00:67cd:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:ec00:67ce::/64 | 2c19:dd:ec00:67ce:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:ec00:67cf::/64 | 2c19:dd:ec00:67cf:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:ec00:67d0::/64 | 2c19:dd:ec00:67d0:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:ec00:67d1::/64 | 2c19:dd:ec00:67d1:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:ec00:67d2::/64 | 2c19:dd:ec00:67d2:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:ec00:67d3::/64 | 2c19:dd:ec00:67d3:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:ec00:67d4::/64 | 2c19:dd:ec00:67d4:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:ec00:67d5::/64 | 2c19:dd:ec00:67d5:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:ec00:67d6::/64 | 2c19:dd:ec00:67d6:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:ec00:67d7::/64 | 2c19:dd:ec00:67d7:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:ec00:67d8::/64 | 2c19:dd:ec00:67d8:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:ec00:67d9::/64 | 2c19:dd:ec00:67d9:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:ec00:67da::/64 | 2c19:dd:ec00:67da:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:ec00:67db::/64 | 2c19:dd:ec00:67db:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:ec00:67dc::/64 | 2c19:dd:ec00:67dc:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:ec00:67dd::/64 | 2c19:dd:ec00:67dd:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:ec00:67de::/64 | 2c19:dd:ec00:67de:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:ec00:67df::/64 | 2c19:dd:ec00:67df:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:ec00:67e0::/64 | 2c19:dd:ec00:67e0:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:ec00:67e1::/64 | 2c19:dd:ec00:67e1:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:ec00:67e2::/64 | 2c19:dd:ec00:67e2:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:ec00:67e3::/64 | 2c19:dd:ec00:67e3:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:ec00:67e4::/64 | 2c19:dd:ec00:67e4:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:ec00:67e5::/64 | 2c19:dd:ec00:67e5:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:ec00:67e6::/64 | 2c19:dd:ec00:67e6:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:ec00:67e7::/64 | 2c19:dd:ec00:67e7:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:ec00:67e8::/64 | 2c19:dd:ec00:67e8:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:ec00:67e9::/64 | 2c19:dd:ec00:67e9:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:ec00:67ea::/64 | 2c19:dd:ec00:67ea:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:ec00:67eb::/64 | 2c19:dd:ec00:67eb:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:ec00:67ec::/64 | 2c19:dd:ec00:67ec:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:ec00:67ed::/64 | 2c19:dd:ec00:67ed:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:ec00:67ee::/64 | 2c19:dd:ec00:67ee:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:ec00:67ef::/64 | 2c19:dd:ec00:67ef:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:ec00:67f0::/64 | 2c19:dd:ec00:67f0:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:ec00:67f1::/64 | 2c19:dd:ec00:67f1:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:ec00:67f2::/64 | 2c19:dd:ec00:67f2:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:ec00:67f3::/64 | 2c19:dd:ec00:67f3:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:ec00:67f4::/64 | 2c19:dd:ec00:67f4:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:ec00:67f5::/64 | 2c19:dd:ec00:67f5:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:ec00:67f6::/64 | 2c19:dd:ec00:67f6:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:ec00:67f7::/64 | 2c19:dd:ec00:67f7:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:ec00:67f8::/64 | 2c19:dd:ec00:67f8:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:ec00:67f9::/64 | 2c19:dd:ec00:67f9:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:ec00:67fa::/64 | 2c19:dd:ec00:67fa:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:ec00:67fb::/64 | 2c19:dd:ec00:67fb:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:ec00:67fc::/64 | 2c19:dd:ec00:67fc:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:ec00:67fd::/64 | 2c19:dd:ec00:67fd:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:ec00:67fe::/64 | 2c19:dd:ec00:67fe:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:ec00:67ff::/64 | 2c19:dd:ec00:67ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |